commit:     296ad5f8af435201200a15273a5ffe941cd7e423
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 31 16:15:55 2025 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Jul 31 17:21:03 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=296ad5f8

app-misc/gnote: add 48.1

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 app-misc/gnote/Manifest          |  1 +
 app-misc/gnote/gnote-48.1.ebuild | 61 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/app-misc/gnote/Manifest b/app-misc/gnote/Manifest
index 1fdc8b4e3355..6d3a40087909 100644
--- a/app-misc/gnote/Manifest
+++ b/app-misc/gnote/Manifest
@@ -2,3 +2,4 @@ DIST gnote-45.2.tar.xz 3248256 BLAKE2B 
ab687802aa6046556c579f1a11fb807398e69f2a2
 DIST gnote-46.0.tar.xz 3414728 BLAKE2B 
c53c4f1b5fa1c1dc0105f52736913ef3562a95e324fe4693e4b2729d5cc3ce47ab97ab8c22e2edb124a7cdd94c735b2b8417a02f88a9c23a310a027452fe8c3d
 SHA512 
a56557ed1d5adb3d5416d8032218c953204737dd813e09c13875a084fd579145f94470b61d8c2322d01dba06ad0bb26d553e5009f5d3e10db284afc8b42e0b79
 DIST gnote-46.1.tar.xz 3414768 BLAKE2B 
cd0c942d97c06a275bce1dd6317ee4135ba8ea692b39d812de2c057ad2cb523965a701b62214d57c07bb7097293d5e946b19bd98d4629e98df42f13821afa27d
 SHA512 
222cff949bb4403a4004210576d8f141fe4ee811da1ec8ca26a6d5474b4ec6d0fe49f9a8c8952e1228d200ca3b5c3e0eab18efb6787dda8d60608254c47d06a9
 DIST gnote-47.2.tar.xz 3839184 BLAKE2B 
66e2daa127d2b169767d007d66ebd833163883441065638eb84ed5aa9ec17c0026bfb97d8cac6a4c28294eb273c44e43d6030663a59775f0c7d379528f268319
 SHA512 
eb8938e3d62b12edf869ce10292032a3c6f63af36bfeef704ed0cd769f906e637d0e8738c0bebb8a22e5367e70042a2faabaf5bb1388020f9e6bd55e94442b6c
+DIST gnote-48.1.tar.xz 4352988 BLAKE2B 
a6a4722ddec161d4d4dc337fb24d9b59463fb6e7118883a88b5966df1e9e67e3b126bb6657c356375287c5cc77f45c6264544d66383584282ed01d0ef28fae16
 SHA512 
1f7c43437f9d6cf0c29d1fd5b8ec1aadd7dee7947b962704275b75769565b438f083f914def609fe159d6626269f0fdc4a1cf53dc2f58446ea9b39b533695a5a

diff --git a/app-misc/gnote/gnote-48.1.ebuild b/app-misc/gnote/gnote-48.1.ebuild
new file mode 100644
index 000000000000..d9412264b674
--- /dev/null
+++ b/app-misc/gnote/gnote-48.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome2 meson readme.gentoo-r1
+
+DESCRIPTION="Desktop note-taking application"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gnote";
+
+LICENSE="GPL-3+ FDL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       >=dev-libs/glib-2.74:2[dbus]
+       >=dev-cpp/glibmm-2.74:2.68
+       >=dev-cpp/gtkmm-4.10.0:4.0
+       >=gui-libs/libadwaita-1
+       >=app-crypt/libsecret-0.8
+       >=dev-libs/libxml2-2:2=
+       dev-libs/libxslt
+       >=sys-apps/util-linux-2.16
+       test? ( dev-libs/unittest++ )
+"
+RDEPEND="${DEPEND}
+       gnome-base/gsettings-desktop-schemas
+"
+BDEPEND="
+       dev-util/itstool
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+
+       if ! use test; then
+               sed -i -e "/unit_test_pp/ s/ = .*/ = disabler()/" meson.build 
|| die
+       fi
+
+       if has_version net-fs/wdfs; then
+               DOC_CONTENTS="You have net-fs/wdfs installed. app-misc/gnote 
will use it to
+               synchronize notes."
+       else
+               DOC_CONTENTS="Gnote can use net-fs/wdfs to synchronize notes.
+               If you want to use that functionality just emerge net-fs/wdfs.
+               Gnote will automatically detect that you did and let you use 
it."
+       fi
+}
+
+src_install() {
+       meson_src_install
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+       readme.gentoo_print_elog
+}

Reply via email to